## jtreg6 6%2B1

=== make/Makefile ===
#
# Copyright (c) 1999, 2018, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#

TOPDIR = ..

include Defs.gmk
include Platform.gmk

default: build

all: build test

#----------------------------------------------------------------------

include jtdiff.gmk
include jtreg.gmk
include $(TOPDIR)/test/*.gmk
include $(TOPDIR)/test/*/*.gmk
include Rules.gmk

build: $(BUILDFILES)

test: $(INITIAL_TESTS) $(TESTS) $(FINAL_TESTS)
	count=`echo $+ | wc -w` ; \
	echo "All ($${count}) selected tests completed successfully"

quick-test: $(INITIAL_TESTS)
	count=`echo $+ | wc -w` ; \
	echo "All ($${count}) selected tests completed successfully"

images: $(VERBOSEZIPFILES)

new-images: $(NEWVERBOSEZIPFILES)

clean:
	$(RM) $(BUILDDIR)

.NO_PARALLEL: clean

sanity:
ifdef JDK15HOME
	@echo "JDK15HOME           = $(JDK15HOME)"
endif
ifdef JDK16HOME
	@echo "JDK16HOME           = $(JDK16HOME)"
endif
ifdef JDK17HOME
	@echo "JDK17HOME           = $(JDK17HOME)"
endif
ifdef JDK18HOME
	@echo "JDK18HOME           = $(JDK18HOME)"
endif
	@echo "JDKHOME             = $(JDKHOME)"
ifdef JAVAHELP_HOME
	@echo "JAVAHELP_HOME       = $(JAVAHELP_HOME)"
endif
	@echo "JAVATEST_HOME       = $(JAVATEST_HOME)"
ifneq ($(JTHARNESS_HOME), $(JAVATEST_HOME))
	@echo "JTHARNESS_HOME      = $(JTHARNESS_HOME)"
endif
	@echo "JTHARNESS_LICENSE   = $(JTHARNESS_LICENSE)"
	@echo "JTHARNESS_COPYRIGHT = $(JTHARNESS_COPYRIGHT)"
	@echo "JCOV_JAR            = $(JCOV_JAR)"
	@echo "JCOV_LICENSE        = $(JCOV_LICENSE)"
	@echo "ASMTOOLS_JAR        = $(ASMTOOLS_JAR)"
	@echo "ASMTOOLS_LICENSE    = $(ASMTOOLS_LICENSE)"
	@echo "ANTHOME             = $(ANTHOME)"
	@echo "ANT_JAR             = $(ANT_JAR)"
	@echo "JUNIT_JAR           = $(JUNIT_JAR)"
	@echo "JUNIT_LICENSE       = $(JUNIT_LICENSE)"
	@echo "TESTNG_HOME         = $(TESTNG_HOME)"
	@echo "TESTNG_JAR          = $(TESTNG_JAR)"
	@echo "TESTNG_LICENSE      = $(TESTNG_LICENSE)"
	@echo "JCOMMANDER_JAR      = $(JCOMMANDER_JAR)"
	@echo "GOOGLE_JUICE_JAR    = $(GOOGLE_JUICE_JAR)"
	@echo "HAMCREST_JAR        = $(HAMCREST_JAR)"
	@echo "BUILD_VERSION       = $(BUILD_VERSION)"
	@echo "BUILD_MILESTONE     = $(BUILD_MILESTONE)"
	@echo "BUILD_NUMBER        = $(BUILD_NUMBER)"

#----------------------------------------------------------------------


.PHONY: default all build test images new-images clean sanity

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME = /usr/lib/jvm/default-java

VERSION      := $(shell dpkg-parsechangelog --show-field Version | sed 's/-.*//')
BUILD_NUMBER := $(shell dpkg-parsechangelog --show-field Version | sed 's/.*-\(b[0-9]*\).*/\1/')
DATE         := $(shell dpkg-parsechangelog --show-field Date)

%:
	dh $@ --with javahelper

override_dh_auto_build:
	ant -f make/build.xml \
	    -Dant.jar=/usr/share/java/ant.jar \
	    -Djtreg.build.resources=/usr/share/java \
	    -Djh.jar=/usr/share/java/jh.jar \
	    -Djhall.jar=/usr/share/java/jhall.jar \
	    -Djunit.jar=/usr/share/java/junit4.jar \
	    -Dtestng.jar=/usr/share/java/testng.jar \
	    -Djavatest.jar=/usr/share/java/javatest.jar \
	    -Dbuild.date.time='$(DATE)' \
	    -Dbuild.version=$(VERSION) \
	    -Dbuild.milestone=src \
	    -Dbuild.number=$(BUILD_NUMBER)
	dh_auto_build

	# Generate the manpages
	JT_HOME=./dist/jtreg/lib/ help2man --name="Regression Test Harness" --help-option="-help all" dist/jtreg/bin/jtdiff > jtdiff.1
	JT_HOME=./dist/jtreg/lib/ help2man --name="Regression Test Harness" --help-option="-help all" dist/jtreg/bin/jtreg > jtreg.1

## jtreg6 6+1

=== debian/changelog ===
jtreg6 (6+1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version, packaged as separate source and binary.
    OpenJDK 17 and 18 now require jtreg 6.  OpenJDK 11 still needs jtreg 5.x.
  * Add myself as uploader.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Jun 2021 13:12:35 +0200

jtreg (5.1-b01-2) unstable; urgency=medium

  * Team upload.

  [ Tiago Stürmer Daitx ]
  * d/p/launcher.patch: set JTREG_HOME earlier. (Closes: #965047,
    LP: #1887587).

  [ tony mancill ]
  * Use debhelper-compat 13
  * Use https URL for Homepage in debian/control
  * Freshen years in debian/copyright and update Source: link
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Tue, 14 Jul 2020 21:28:47 -0700

jtreg (5.1-b01-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Switch to debhelper level 12

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Jun 2020 21:12:36 +0200

jtreg (5.0-b01-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Provide jar symlinks in /usr/share/jtreg/share/java as well.
    Allows openjdk configuration --with-jtreg=/usr/share/jtreg with the same
    patchset for all release.
  * Provide additional jar symlinks for jh.jar and hamcrest-core.jar.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Apr 2020 12:31:42 +0200

jtreg (5.0-b01-2) unstable; urgency=medium

  * Team upload.
  * Install jtreg under /usr/share/jtreg and use it as the default JT_HOME path

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 13 Apr 2020 00:28:39 +0200

jtreg (5.0-b01-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Depend on libjtharness-java (>= 6.0)
  * Standards-Version updated to 4.5.0

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 05 Apr 2020 10:49:05 +0200

jtreg (4.2-b16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Track the new releases from GitHub
  * Standards-Version updated to 4.4.1

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 12 Jan 2020 00:31:57 +0100

jtreg (4.2-b14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 25 Feb 2019 12:44:58 +0100

jtreg (4.2-b13-2) unstable; urgency=medium

  * Team upload.

  [ Tiago Stürmer Daitx ]
  * Use release instead of source/target. (Closes: #913853, LP: #1803628)

  [ tony mancill ]
  * Bump Standards-Version to 4.2.1

 -- tony mancill <tmancill@debian.org>  Tue, 20 Nov 2018 20:49:59 -0800

jtreg (4.2-b13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.2.0
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 02 Aug 2018 09:16:44 +0200

jtreg (4.2-b10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 20 Nov 2017 13:37:32 +0100

jtreg (4.2-b09-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 14 Nov 2017 10:57:23 +0100

jtreg (4.2-b08-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 13 Sep 2017 12:05:52 +0200

jtreg (4.2-b07-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 20 Jun 2017 10:54:14 +0200

jtreg (4.2-b05-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 20 Jan 2017 11:13:11 +0100

jtreg (4.2-b04-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Replaced the override_dh_auto_clean target with debian/clean
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 08 Dec 2016 22:02:10 +0100

jtreg (4.2-b03-1) unstable; urgency=medium

  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 06 Sep 2016 15:06:20 +0200

jtreg (4.2-b03-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - No longer install the FAQ (removed upstream)

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 04 Sep 2016 23:38:17 +0200

jtreg (4.2-b02-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 09 May 2016 22:47:48 +0200

jtreg (4.2-b01-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 26 Apr 2016 17:26:18 +0200

jtreg (4.2-b01-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 3.9.8 (no changes)
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 20 Apr 2016 13:14:17 +0200

jtreg (4.1-b12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the path of the installed files
  * Changed the value of the jtreg-BuildDate attribute in the manifest
    with the date from debian/changelog to make the build reproducible.
  * Standards-Version updated to 3.9.6 (no changes)
  * Fixed debian/watch
  * debian/copyright: Added the missing license shortname

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 18 Jun 2015 18:39:02 +0200

jtreg (4.1-b09-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Replaced JTREG_HOME with JT_HOME in the launcher scripts.
    (Closes: #754276)
  * Moved the package to Git


=== debian/control ===
Source: jtreg6
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Guillaume Mazoyer <respawneral@gmail.com>, Matthias Klose <doko@ubuntu.com>
Build-Depends:
 ant,
 debhelper (>= 11),
 default-jdk,
 help2man,
 javahelp2,
 javahelper,
 libjtharness-java (>= 6.0),
 libxalan2-java,
 libhamcrest-java,
 testng
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/java-team/jtreg.git
Vcs-Browser: https://salsa.debian.org/java-team/jtreg
Homepage: https://openjdk.java.net/jtreg
Rules-Requires-Root: no

Package: jtreg6
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 javahelp2,
 libjtharness-java (>= 6.0),
 libhamcrest-java,
 libxalan2-java
Recommends: testng
Conflicts: jtreg
Description: Regression Test Harness for the OpenJDK platform
 jtreg is the test harness used by the OpenJDK test framework.
 This framework is intended primarily for regression tests.
 It can also be used for unit tests, functional tests, and even simple product
 tests -- in other words, just about any type of test except a conformance test,
 which belong in a TCK.

## jtreg6 6.1%2B2

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,9 @@
 
 JAVA_HOME = /usr/lib/jvm/default-java
 
-VERSION      := $(shell dpkg-parsechangelog --show-field Version | sed 's/-.*//')
-BUILD_NUMBER := $(shell dpkg-parsechangelog --show-field Version | sed 's/.*-\(b[0-9]*\).*/\1/')
+# version string has the form 6.1+N-D, the Debian release is not passed into the build
+VERSION      := $(shell dpkg-parsechangelog --show-field Version | sed 's/+.*//')
+BUILD_NUMBER := $(shell dpkg-parsechangelog --show-field Version | sed 's/.*+\([0-9]*\).*/\1/')
 DATE         := $(shell dpkg-parsechangelog --show-field Date)
 
 %:
@@ -18,6 +19,7 @@
 	    -Djunit.jar=/usr/share/java/junit4.jar \
 	    -Dtestng.jar=/usr/share/java/testng.jar \
 	    -Djavatest.jar=/usr/share/java/javatest.jar \
+	    -Dasmtools.jar=/usr/share/java/asmtools.jar \
 	    -Dbuild.date.time='$(DATE)' \
 	    -Dbuild.version=$(VERSION) \
 	    -Dbuild.milestone=src \

## jtreg6 6.1+2

=== make/Makefile ===
--- 
+++ 
@@ -60,22 +60,31 @@
 .NO_PARALLEL: clean
 
 sanity:
-ifdef JDK15HOME
-	@echo "JDK15HOME           = $(JDK15HOME)"
+ifdef JDK1_1HOME
+	@echo "JDK1_1HOME          = $(JDK1_1HOME)"
 endif
-ifdef JDK16HOME
-	@echo "JDK16HOME           = $(JDK16HOME)"
+ifdef JDK5HOME
+	@echo "JDK5HOME            = $(JDK5HOME)"
 endif
-ifdef JDK17HOME
-	@echo "JDK17HOME           = $(JDK17HOME)"
+ifdef JDK6HOME
+	@echo "JDK6HOME            = $(JDK6HOME)"
+endif
+ifdef JDK7HOME
+	@echo "JDK7HOME            = $(JDK7HOME)"
+endif
+ifdef JDK8HOME
+	@echo "JDK8HOME            = $(JDK8HOME)"
+endif
+ifdef JDK9HOME
+	@echo "JDK9HOME            = $(JDK9HOME)"
+endif
+ifdef JDK14HOME
+	@echo "JDK14HOME           = $(JDK14HOME)"
 endif
 ifdef JDK18HOME
 	@echo "JDK18HOME           = $(JDK18HOME)"
 endif
 	@echo "JDKHOME             = $(JDKHOME)"
-ifdef JAVAHELP_HOME
-	@echo "JAVAHELP_HOME       = $(JAVAHELP_HOME)"
-endif
 	@echo "JAVATEST_HOME       = $(JAVATEST_HOME)"
 ifneq ($(JTHARNESS_HOME), $(JAVATEST_HOME))
 	@echo "JTHARNESS_HOME      = $(JTHARNESS_HOME)"

=== debian/changelog ===
jtreg6 (6.1+2-1ubuntu1~22.04) jammy-security; urgency=medium

  * Upload to Ubuntu 22.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 10 May 2023 07:32:19 +1200

jtreg6 (6.1+2-1ubuntu1) lunar; urgency=medium

  * Add asmtools dependency (LP: #2015011).
  * debian/control: Use testng 7 (LP: #2012320).
  * debian/jtreg6.links: Fix hamcrest.jar link (LP: #2015010).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 27 Mar 2023 14:59:03 +1300

jtreg6 (6.1+2-1) unstable; urgency=medium

  * New upstream version.
  * Fix passing the version number to the build.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Jul 2022 12:40:06 +0200

jtreg6 (6+1-2) unstable; urgency=medium

  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Jul 2022 11:35:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jtreg6
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Guillaume Mazoyer <respawneral@gmail.com>, Matthias Klose <doko@ubuntu.com>
 Build-Depends:
  ant,
@@ -13,8 +14,10 @@
  libjtharness-java (>= 6.0),
  libxalan2-java,
  libhamcrest-java,
- testng
-Standards-Version: 4.5.1
+ libtestng7-java,
+ libasmtools-java,
+ libjcommander-java
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/java-team/jtreg.git
 Vcs-Browser: https://salsa.debian.org/java-team/jtreg
 Homepage: https://openjdk.java.net/jtreg
@@ -28,9 +31,12 @@
  javahelp2,
  libjtharness-java (>= 6.0),
  libhamcrest-java,
- libxalan2-java
-Recommends: testng
-Conflicts: jtreg
+ libxalan2-java,
+ libasmtools-java,
+ libtestng7-java,
+ libjcommander-java,
+ libslf4j-java
+Conflicts: jtreg, jtreg7
 Description: Regression Test Harness for the OpenJDK platform
  jtreg is the test harness used by the OpenJDK test framework.
  This framework is intended primarily for regression tests.

=== debian/watch ===
version=4
https://github.com/openjdk/jtreg/tags .*/jtreg([\d\.]+(?:-b[0-9]+)?).tar.gz debian debian/orig-tar.sh

## jtreg6 6.2%2B1

=== debian/changelog ===
jtreg6 (6.2+1-4) unstable; urgency=medium

  * Team upload
  * d/p/java21-*: cherry-pick upstream patches fixing Java 21 build
    warnings (Closes: #1057511).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 25 Jan 2024 17:22:22 +1300

jtreg6 (6.2+1-3) unstable; urgency=medium

  * Team upload.
  * Keep debhelper at 11, no need for newer versions, and not backport
    friendy.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Sep 2023 12:24:07 +0200

jtreg6 (6.2+1-2) unstable; urgency=medium

  * Team upload.
  * Apply reproducible builds patch (Closes: #1050944)
    Thank you to Chris Lamb and Vagrant Cascadian
  * Use debhelper-compat 13
  * Use DEB_VERSION_UPSTREAM to parse VERSION and BUILD_NUMBER in d/rules

 -- tony mancill <tmancill@debian.org>  Thu, 31 Aug 2023 22:16:15 -0700

jtreg6 (6.2+1-1) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
  * Removed debian/orig-tar.sh and updated the watch file
  * Removed the gradle wrapper from the upstream tarball
  * Standards-Version updated to 4.6.2

  [ tony mancill ]
  * Update jtreg6 dependences for openjdk-11 and 17 (Closes: #1041282)
    Thank you to Vladimir Petko for the patch, which also
    Closes: #1036065, #1036066

 -- tony mancill <tmancill@debian.org>  Sun, 20 Aug 2023 19:52:35 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: jtreg6
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Guillaume Mazoyer <respawneral@gmail.com>, Matthias Klose <doko@ubuntu.com>
 Build-Depends:
  ant,
- debhelper (>= 11),
+ debhelper-compat (= 11),
  default-jdk,
  help2man,
  javahelp2,
@@ -16,8 +15,10 @@
  libhamcrest-java,
  libtestng7-java,
  libasmtools-java,
- libjcommander-java
-Standards-Version: 4.6.0
+ libjcommander-java,
+ libguice-java,
+ zip
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/jtreg.git
 Vcs-Browser: https://salsa.debian.org/java-team/jtreg
 Homepage: https://openjdk.java.net/jtreg
@@ -33,9 +34,9 @@
  libhamcrest-java,
  libxalan2-java,
  libasmtools-java,
- libtestng7-java,
  libjcommander-java,
  libslf4j-java
+Recommends: libtestng7-java
 Conflicts: jtreg, jtreg7
 Description: Regression Test Harness for the OpenJDK platform
  jtreg is the test harness used by the OpenJDK test framework.

## jtreg6 6.2+1

=== test/timeouts/make/Makefile ===
#
# Copyright (c) 1997, 2010, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#

# This is a Makefile to build a dummy product, for the benefit of JPRT.

# Get OS/ARCH specifics
OSNAME = $(shell uname -s)
ifeq ($(OSNAME), SunOS)
  PLATFORM = solaris
  ARCH = $(shell uname -p)
  ifeq ($(ARCH), i386)
    ARCH=i586
  endif
endif
ifeq ($(OSNAME), Linux)
  PLATFORM = linux
  ARCH = $(shell uname -m)
  ifeq ($(ARCH), i386)
    ARCH=i586
  endif
endif
ifeq ($(OSNAME), Windows_NT)
  PLATFORM = windows
  ifeq ($(word 1, $(PROCESSOR_IDENTIFIER)),ia64)
    ARCH=ia64
  else
    ifeq ($(word 1, $(PROCESSOR_IDENTIFIER)),AMD64)
      ARCH=x64
    else
      ifeq ($(word 1, $(PROCESSOR_IDENTIFIER)),EM64T)
        ARCH=x64
      else
        ARCH=i586
      endif
    endif
  endif
endif


CD = cd
MKDIR = mkdir
ZIPEXE = zip

OUTPUTDIR = ../build
ABS_OUTPUTDIR = $(shell $(MKDIR) -p $(OUTPUTDIR) ; $(CD) $(OUTPUTDIR) ; pwd)

JPRT_ARCHIVE_BUNDLE=$(ABS_OUTPUTDIR)/$(JPRT_BUILD_FLAVOR)-bundle.zip

jprt_build_product jprt_build_debug jprt_build_fastdebug:
	echo "Dummy" > $(ABS_OUTPUTDIR)/DummyProduct.txt
	( $(CD) $(ABS_OUTPUTDIR) && \
	  $(ZIPEXE) -q -r $(JPRT_ARCHIVE_BUNDLE) . )

clean:

clobber:

sanity:

.PHONY: jprt_build_product jprt_build_debug jprt_build_fastdebug \
	clean clobber sanity

=== debian/changelog ===
jtreg6 (6.2+1-3~deb12u1) bookworm-security; urgency=medium

  * Rebuild latest jtreg6 from testing, needed for running the tests
    for the latest OpenJDK 17.x releases

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 03 Nov 2023 16:35:31 +0100

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/openjdk/jtreg refs/tags/jtreg-?([\d\.\+]+(?:-b[0-9]+)?)
